'/* GLIB - Library of useful routines for C programming
' * Copyright (C) 1995-1997  Peter Mattis, Spencer Kimball and Josh MacDonald
' *
' * This library is free software; you can redistribute it and/or
' * modify it under the terms of the GNU Lesser General Public
' * License as published by the Free Software Foundation; either
' * version 2 of the License, or (at your option) any later version.
' *
' * This library is distributed in the hope that it will be useful,
' * but WITHOUT ANY WARRANTY; without even the implied warranty of
' * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.    See the GNU
' * Lesser General Public License for more details.
' *
' * You should have received a copy of the GNU Lesser General Public
' * License along with this library; if not, write to the
' * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
' * Boston, MA 02111-1307, USA.
' */

'/*
' * Modified by the GLib Team and others 1997-2000.  See the AUTHORS
' * file for a list of people on the GLib Team.  See the ChangeLog
' * files for a list of changes.  These files are distributed with
' * GLib at ftp://ftp.gtk.org/pub/gtk/.
' */

'#ifndef __G_LIB_H__
'#define __G_LIB_H__

#IF NOT %DEF(%GLIB_INC)
    %GLIB_INC = 1

'#define __GLIB_H_INSIDE__

#IF NOT %DEF($GLIB_DLLNAME)
$GLIB_DLLNAME = "libglib-2.0-0.dll"
#ENDIF

#INCLUDE ONCE "galloca.inc"
#INCLUDE ONCE "garray.inc"
#INCLUDE ONCE "gasyncqueue.inc"
#INCLUDE ONCE "gatomic.inc"
#INCLUDE ONCE "gbacktrace.inc"
#INCLUDE ONCE "gbase64.inc"
#INCLUDE ONCE "gbookmarkfile.inc"
#INCLUDE ONCE "gcache.inc"
#INCLUDE ONCE "gchecksum.inc"
#INCLUDE ONCE "gcompletion.inc"
#INCLUDE ONCE "gconvert.inc"
#INCLUDE ONCE "gdataset.inc"
#INCLUDE ONCE "gdate.inc"
#INCLUDE ONCE "gdir.inc"
#INCLUDE ONCE "gerror.inc"
#INCLUDE ONCE "gfileutils.inc"
#INCLUDE ONCE "ghash.inc"
#INCLUDE ONCE "ghook.inc"
#INCLUDE ONCE "giochannel.inc"
#INCLUDE ONCE "gkeyfile.inc"
#INCLUDE ONCE "glist.inc"
#INCLUDE ONCE "gmacros.inc"
'#INCLUDE ONCE "gmain.inc"
#INCLUDE ONCE "gmappedfile.inc"
#INCLUDE ONCE "gmarkup.inc"
#INCLUDE ONCE "gmem.inc"
#INCLUDE ONCE "gmessages.inc"
#INCLUDE ONCE "gnode.inc"
#INCLUDE ONCE "goption.inc"
#INCLUDE ONCE "gpattern.inc"
#INCLUDE ONCE "gprimes.inc"
#INCLUDE ONCE "gqsort.inc"
#INCLUDE ONCE "gquark.inc"
#INCLUDE ONCE "gqueue.inc"
#INCLUDE ONCE "grand.inc"
#INCLUDE ONCE "grel.inc"
#INCLUDE ONCE "gregex.inc"
#INCLUDE ONCE "gscanner.inc"
#INCLUDE ONCE "gsequence.inc"
#INCLUDE ONCE "gshell.inc"
#INCLUDE ONCE "gslice.inc"
#INCLUDE ONCE "gslist.inc"
#INCLUDE ONCE "gspawn.inc"
#INCLUDE ONCE "gstrfuncs.inc"
#INCLUDE ONCE "gstring.inc"
'#INCLUDE ONCE "gtestutils.inc"
'#INCLUDE ONCE "gthread.inc"
'#INCLUDE ONCE "gthreadpool.inc"
#INCLUDE ONCE "gtimer.inc"
#INCLUDE ONCE "gtree.inc"
#INCLUDE ONCE "gtypes.inc"
#INCLUDE ONCE "gunicode.inc"
#INCLUDE ONCE "gurifuncs.inc"
#INCLUDE ONCE "gutils.inc"
'#ifdef G_PLATFORM_WIN32
#INCLUDE ONCE "gwin32.inc"
'#endif

'#undef __GLIB_H_INSIDE__

'#endif /* __G_LIB_H__ */
#ENDIF   ' /* __GLIB_INC__ */
